@import url('https://fonts.googleapis.com/css2?family=Inter:wght@700&family=Roboto:wght@400;700;900&display=swap');

/**
* How to use the fonts:
*
* font-family: 'Inter', sans-serif;
* font-family: 'Roboto', sans-serif;
*/

/*
* Css "Reset" from josh comeau
* https://www.joshwcomeau.com/css/custom-css-reset/
*/

/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0;
}
/*
  Typographic tweaks!
  4. Add accessible line-height
*/
body {
  line-height: 1.5;
}
/*
  6. Improve media defaults
*/
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
/*
  7. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}
/*
  8. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}
/*
  9. Create a root stacking context
*/
#root, #__next {
  isolation: isolate;
}

/*
* TODO:
* - Max width of the form?
* - Helvetica for next button, but Inter for others? I've just used Inter for now
*/

/*****************/
/* General fixes */
/*****************/

*, *:before, *:after {
  box-sizing: border-box;
}

legend {
    display: table;
    padding: 0;
}
fieldset {
    border: 0;
    margin: 0;
    min-width: 0;
    padding: 0.01em 0 0 0;
}
body:not(:-moz-handler-blocked) fieldset {
    display: table-cell;
}

/***************/
/* Basic setup */
/***************/

:root {
  font-family: "Roboto", sans-serif;
  font-weight: 700;

  --color-yellow: #ffde01;
  --color-action: #18affa;
  --color-border: #001f29;
}

body {
  margin: 0 24px 30px 24px;
}

/*********************/
/* Component styling */
/*********************/

button {
  border: none;

  background-color: var(--color-action);
  color: white;
  font-family: 'Inter', sans-serif;
  height: 65px;
  padding: 0 69px;
  font-size: 24px;

  cursor: pointer;
}

/**********/
/* Header */
/**********/

header {
  margin: 0 -24px;
  display: block;
  background-color: black;
  color: white;
  padding: 150px 20px;
  display: flex;
  text-align: center;
  flex-direction: column;
}

h1 {
  font-size: 48px;
}

header > small {
  font-size: 24px;
  line-height: 36px;
}

/**************/
/* Navigation */
/**************/

nav {
  margin-bottom: 120px;
}

nav ol {
  list-style: none;
  counter-reset: form-wizard-step-indicator;
  margin: 0;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

nav li {
  counter-increment: form-wizard-step-indicator;
  display: flex;
  flex-direction: column;
  align-items: center;
}

nav li:before {
  content: counter(form-wizard-step-indicator);

  border: 4px solid black;
  border-radius: 100%;

  background-color: white;

  display: block;
  height: 96px;
  aspect-ratio: 1;
  flex-grow: 0;

  margin-top: -50px;
  margin-bottom: 25px;

  font-size: 48px;
  text-align: center;
  line-height: 88px;

  cursor: pointer;
}

nav li.form-wizard_current:before {
  background-color: var(--color-yellow);
}

/***************/
/* Wizard Pages */
/***************/

[form-wizard_page] {
  display: none;
}

[form-wizard_page].form-wizard_current {
  display: grid;
  grid-template-columns: 1fr;
}

/**************/
/* Form stuff */
/**************/

form {
  max-width: 1000px;
  margin: 0 auto;
}

fieldset {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  column-gap: 40px;
  row-gap: 20px;
  margin-bottom: 100px;
}

.field {
  grid-column: span 2;
}

.field.narrow {
  grid-column: span 1;
}

.field.wide {
  grid-column: span 4;
}

legend {
  font-size: 32px;
  line-height: 36px;

  grid-row: 1 / -1;
}

.field {
  display: grid;

  /* This is always there in the current design, but I suspect that we might want the help message
  * to take that space if there is one. */
  margin-bottom: 24px;
}

.field > label {
  font-size: 24px;
}

input {
  height: 56px;
  border: 4px solid var(--color-border);
}

[form-wizard_page] button {
  justify-self: center;
}
